<?php
session_start();
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
include("phpmnu_fun.php");
//
if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
//
$IdUsu=$_SESSION['SYS_USER_ID'];
include("deos_compras_det_bx.php");
?>
<html >
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Modelos - Buscar</title>
<!----------------------------------------->
<?php AddJs(); ?>
<script type="text/javascript" src="ja/funciones.js"></script>

<!----------------------------------------->
<link rel="stylesheet" type="text/css" href="css/estiloss.css"  />
<link rel="stylesheet" type="text/css" href="css/basic.css"  />
<link rel="stylesheet" type="text/css" href="css/mnu.css"  />
<!----------------------------------------->
<style type="text/css">
.cF {height:600px;width:1250px;position:relative;top:0px}
.mM {height:34px;width:1250px;position:relative;top:0px;background-color:#09C; z-index:500;}

</style>

<!----------------------------------------->
<script>
$(document).ready(function(){  
   Inicializar();
   jF("CboAlm");
});


function fGenPDF(){	
	var CboAlm=document.getElementById("CboAlm").value;
	if(CboAlm=="TODOS"){
		alert("Seleccione un Almacen");
		document.getElementById("CboAlm").focus();
		return;
	}
	document.getElementById("TxtAc").value="GEN_PDF";
	document.getElementById("Frm").submit();
}

function fGenPDF_2(){
	var CboAlm=document.getElementById("CboAlm").value;
	if(CboAlm=="TODOS"){
		alert("Seleccione un Almacen");
		document.getElementById("CboAlm").focus();
		return;
	}
	document.getElementById("TxtAc").value="GEN_PDF_2";
	document.getElementById("Frm").submit();
}

</script>

<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<!----------------------------------------->
<body  <?php echo $LStrMsg;?>  >
<div align="center">

<div class="mM" align="left" style="font-size:12px">
<?php
//$HTM=file_get_contents("http://inversionessounduniversal.com/ventas/phpmnu.php?USER_ID=$IdUsu");
echo GEN_MENU(vbval(V($_SESSION['SYS_USER_ID'])));
?>
</div>

<div Id="DivFRM"  class="cF" style="background-color:#FFFFFF;" >
<form id="Frm" name="Frm" method="post" autocomplete="off"
action="compras_buscar_det.php" 
style="margin:0px; padding:0px; display:inline;" onSubmit="return false;">
<!----------------------------------------->
<div id="DivT" class="dT"  style="width:1250px;">
<img src="b.png" class="iT" />
<div class="tT">COMPRAS - BUSQUEDA DETALLADA</div>
</div>

<!----------------------------------------->
<div class="s1" style="left: 35px; top: 121px; width: 102px;">
ALMACEN</div>
<select name="CboAlm" id="CboAlm" 
class="lt" style="left: 35px; top: 138px; width: 156px" 
tabindex="<?php echo ++$TI;?>">
<?php 
	if($IdUsu>=1  && V($_SESSION['SYS_USER_ALM'])!="%"){
		echo ListALM($StrAlm); 
	}else{
    	echo FCBO("alm_nombre","almacenes","id_almacen>0",$StrAlm,"S","N");
    }
?>
</select>

<div class="s1" style="left: 197px; top: 121px; width: 102px;">
COMPROBANTE</div>
<select name="CboCom" id="CboCom"
class="lt" style="left: 197px; top: 138px; width: 115px;"
tabindex="<?php echo ++$TI;?>">
<?php 
	echo FCBO("com_nombre",
			  "comprobantes",
			  "id_comprobante>0 AND com_nombre IN ('FACTURA','BOLETA','NOTA DE VENTA','GUIA','OTROS') ",$StrCom,"S","N");
?>
</select>

<div class="s1" style="left: 322px; top: 121px; width: 102px;">
SERIE-NUMERO</div>
<input name="TxtNum"  type="text" id="TxtNum"
class="lt" style="left: 322px; top: 138px; width: 104px;" 
value="<?php echo $StrNum;?>" 
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 437px; top: 121px; width: 45px;">
DESDE</div>
<input name="TxtDex"  type="text" id="TxtDex"
class="fe" style="left: 437px; top: 138px; width:80px;" 
value="<?php echo $StrDex;?>" 
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 528px; top: 121px; width: 60px;">
HASTA</div>
<input name="TxtHax"  type="text" id="TxtHax"
class="fe" style="left: 529px; top: 138px; width:80px;" 
value="<?php echo $StrHax;?>" 
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 622px; top: 121px; width: 100px;">
PROVEEDOR</div>
<input name="TxtPro"  type="text" id="TxtPro"
class="lt" style="left: 622px; top: 138px; width: 152px;" 
value="<?php echo $StrPro;?>" 
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 784px; top: 121px; width: 74px;">
DESCRIPCION</div>
<input name="TxtDes"  type="text" id="TxtDes"
class="lt" style="left: 784px; top: 138px; width: 203px;" 
value="<?php echo $StrDes;?>" 
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 995px; top: 121px; width: 74px;">
MARCA</div>    
<input name="TxtMar"  type="text" id="TxtMar"
class="lt" style="left: 995px; top: 138px; width: 143px;" 
value="<?php echo $StrMar;?>" 
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 1148px; top: 121px; width: 75px;">
ANULADO</div>
<select name="CboSN" id="CboSN"
class="lt" style="left: 1146px; top: 138px; width: 68px;"
tabindex="<?php echo ++$TI;?>">
<?php
if($StrSN=="" || $StrSN=="NO"){
	AD("NO",1);	AD("SI",0);
}else{
	AD("NO",0);	AD("SI",1);
}
?>
</select>

<!----------------------------------------->
<div id="DivBtn" align="left" style="position:absolute; left: 33px; top: 71px; width: 551px; height: 26px;">
<input name="CmdB" type="button" id="CmdB" class="btm"
value="Buscar" onClick="fFiltrar();"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdB" type="button" id="CmdZ" class="btm"
value="Volver" onClick="fBuscar('compras.php?TxtAc=X');"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdPDF" type="button" id="CmdPDF" class="btm" 
value="Generar PDF" onClick="fGenPDF_2();"  style="display:none"
tabindex="<?php echo ++$TI;?>" />

<input name="CmdPDF" type="button" id="CmdPDF" class="btm" 
value="PDF.Det" onClick="fGenPDF();" style="display:none"
tabindex="<?php echo ++$TI;?>" />
</div>
    
<!----------------------------------------->
<div class="datagrid" style="position: absolute; left: 35px; top: 165px; width: 1180px; height: 409px; overflow: auto">
<table id="Exportar_a_Excel" width="75%">
<thead>
<tr>
<td colspan="10" align="center"><?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?></td>
</tr>

<tr>
<th width="103" style="text-align:left; background:#999">ALMACEN</th>
<th width="102" style="text-align:left; background:#999"">COMPRO</th>
<th width="71"  style="text-align:left; background:#999"">NUMERO</th>
<th width="82"  style="text-align:left; background:#999"">FECHA</th>
<th width="185" style="text-align:left; background:#999"">PROVEEDOR</th>
<th width="289" style="text-align:left; background:#999"">DESCRIPCION</th>
<th width="138" style="text-align:left; background:#999"">MARCA</th>
<th width="35" style="text-align:right; background:#999"">CAN</th>
<th width="50" style="text-align:right; background:#999"">PRE</th>
<th width="41" style="text-align:right; background:#999"">IMP</th>
</tr>
</thead>
<tbody>

<?php		  		
$s="SELECT ID,ALM,COM,NUM,DATE_FORMAT(FEC,'%d-%m-%y'),PROV,DES,MAR,KA,PR,IMP
	FROM vcompras_det 
	WHERE $FF 
	ORDER BY ALM,COM,NUM,FEC,PROV ";
		  				
$result = grs($s);				
while ($row = $result->fetch_row()){
	?>	
	<tr onDblClick="location.href='compras.php?Id=<?php echo $row[0];?>&Pag=0'">
	<!----------------------------------------------->
    <td><?php echo vbl($row[1],14);?></td>
    <td><?php echo $row[2];?></td>
    <td><a target="_blank" href="compras.php?Id=<?php echo $row[0];?>">'<?php echo $row[3];?></a></td>
    <td style="text-align:left;"><?php echo $row[4];?></td> 
    <td><?php echo vbl($row[5],25);?></td>
    <td><?php echo vbl($row[6],40);?></td>
    <td><?php echo vbl($row[7],18);?></td>
    <td style="text-align:right"><?php echo $row[8];?></td> 
    <td style="text-align:right"><?php echo NF2($row[9],1);?></td>
    <td style="text-align:right"><?php echo NF2($row[10],1);?></td>
	<!----------------------------------------------->
	</tr>
	<?php	
	$ST=$ST+$row[10];
	}
?> 
<tr>
    <td colspan="9" bgcolor="#999999" style="text-align:right"><span class="eS4"><b>TOTAL</b></span></td>
    <td width="41" bgcolor="#999999" style="text-align:right"><span class="eS4"><b><?php echo NF2($ST,1);?></b></span></td>
</tr> 
       
</tbody>
</table>
</div>

<!----------------------------------------->
<?php include("ocultos.php");?>

<div class="s1" style="left: 33px; top: 579px; width: 426px;">
Doble Click sobre el registro para activar Actualizacion</div>
</form>


<form action="ficheroExcel.php" 
	method="post" target="_blank" id="FormularioExportacion" >

<div style="position: absolute; left: 408px; top: 71px; width: 45px; height: 15px;">  
    <input name="" type="button" class="botonExcel btm" value="Exportar" />
    <input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
</div>
</form>

<?php
if($StrCmd=="GEN_PDF_2"){
	$_PDF=GEN_PDF_2($FF,$StrAlm,$StrCom,$StrNum,$StrDex,$StrHax,$StrPro,$StrSN,$StrDes,$StrMar);
	$StrDES_2=$_PDF;
}

function GEN_PDF_2($FF,$StrAlm,$StrCom,$StrNum,$StrDex,$StrHax,$StrPro,$StrSN,$StrDes,$StrMar){
$_CxL=90;
$_S=10;	

$pdf = new PDF('P','mm',A4);
$pdf->AddPage();$pdf->SetFont('courier','',10);
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"COMPRAS",0,1);	
$pdf->Cell(0,4,"",0,1);	
//------------------------------------------

if(strlen($StrAlm)>0){
$_ENC=vbl("ALMACEN".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrAlm.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrCom)>0){
$_ENC=vbl("COMPROBANTE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrCom.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrNum)>0){
$_ENC=vbl("NUMERO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrNum.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrDex)>0){
$_ENC=vbl("DESDE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrDex.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrHax)>0){
$_ENC=vbl("HASTA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrHax.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrPro)>0){
$_ENC=vbl("PROVEEDOR".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrPro.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrDes)>0){
$_ENC=vbl("DESCRIPCION".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrDes.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrMar)>0){
$_ENC=vbl("MARCA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrMar.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrSN)>0){
$_ENC=vbl("ANULADO S/N".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrSN.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}
$pdf->Cell(0,4,"",0,1);
$pdf->Cell(0,4,"",0,1);
//------------------------------------------
$P=0;
$P++;	$T[$P]=8;	$_ENC=vbl("ALMACEN".vbfill(" ",$T[$P]),$T[$P]);
$P++;	$T[$P]=3;	$_ENC=$_ENC." ".vbl("COM".vbfill(" ",$T[$P]),$T[$P]);
$P++;	$T[$P]=11;	$_ENC=$_ENC." ".vbl("NUMERO".vbfill(" ",$T[$P]),$T[$P]);
$P++;	$T[$P]=8;	$_ENC=$_ENC." ".vbl("FECHA".vbfill(" ",$T[$P]),$T[$P]);
$P++;	$T[$P]=12;	$_ENC=$_ENC." ".vbl("PROVEEDOR".vbfill(" ",$T[$P]),$T[$P]);
$P++;	$T[$P]=14;	$_ENC=$_ENC." ".vbl("DESCIPCION".vbfill(" ",$T[$P]),$T[$P]);
$P++;	$T[$P]=7;	$_ENC=$_ENC." ".vbl("MARCA".vbfill(" ",$T[$P]),$T[$P]);
$P++;	$T[$P]=4;	$_ENC=$_ENC." ".vbr(vbfill(" ",$T[$P])."CAN",$T[$P]);
$P++;	$T[$P]=6;	$_ENC=$_ENC." ".vbr(vbfill(" ",$T[$P])."PRE",$T[$P]);
$P++;	$T[$P]=8;	$_ENC=$_ENC." ".vbr(vbfill(" ",$T[$P])."IMP",$T[$P]);
$pdf->Cell(0,4,$_ENC,0,1);
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	

$s="SELECT ID,ALM,COM,NUM,DATE_FORMAT(FEC,'%d-%m-%y'),PROV,
	 DES,MAR,KA,PR,IMP
	 FROM vcompras_det WHERE $FF ORDER BY ALM,COM,NUM,FEC,PROV ";
$result = grs($s);
while ($row = $result->fetch_row()){	
	$P=0;
	$P++;	$_ENC=vbl($row[1].vbfill(" ",$T[$P]),$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbl($row[2].vbfill(" ",$T[$P]),$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbl($row[3].vbfill(" ",$T[$P]),$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbl($row[4].vbfill(" ",$T[$P]),$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbl($row[5].vbfill(" ",$T[$P]),$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbl($row[6].vbfill(" ",$T[$P]),$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbl($row[7].vbfill(" ",$T[$P]),$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbr(vbfill(" ",$T[$P]).$row[8],$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbr(vbfill(" ",$T[$P]).NF2($row[9],1),$T[$P]);
	$P++;	$_ENC=$_ENC." ".vbr(vbfill(" ",$T[$P]).NF2($row[10],1),$T[$P]);
	$pdf->Cell(0,4,$_ENC,0,1);
	$TOT=$TOT+$row[10];
}

$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	
$_TI=vbr(vbfill(" ",75)."TOTAL :",75);
$_TD=vbr(vbfill(" ",14).NF2($TOT,1),14);
$pdf->Cell(0,4,$_TI." ".$_TD,0,1);	

$_S=20;
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
$PDF_NAME="Compras.pdf";
$pdf->Output($PDF_NAME);
return $PDF_NAME;
}
?>

<?php
if($StrCmd=="GEN_PDF"){
	$_PDF=GEN_PDF($FF,$StrAlm,$StrCom,$StrNum,$StrDex,$StrHax,$StrPro,$StrSN,$StrDes,$StrMar);
	$StrDESCARGAR=$_PDF;
}

function GEN_PDF($FF,$StrAlm,$StrCom,$StrNum,$StrDex,$StrHax,$StrPro,$StrSN,$StrDes,$StrMar){
$_CxL=90;
$_S=10;	

$pdf = new PDF('P','mm',A4);
$pdf->AddPage();$pdf->SetFont('courier','',10);
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"COMPRAS DETALLADO",0,1);	
$pdf->Cell(0,4,"",0,1);	
//------------------------------------------

if(strlen($StrAlm)>0){
$_ENC=vbl("ALMACEN".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrAlm.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrCom)>0){
$_ENC=vbl("COMPROBANTE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrCom.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrNum)>0){
$_ENC=vbl("NUMERO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrNum.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrDex)>0){
$_ENC=vbl("DESDE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrDex.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrHax)>0){
$_ENC=vbl("HASTA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrHax.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrPro)>0){
$_ENC=vbl("PROVEEDOR".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrPro.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrDes)>0){
$_ENC=vbl("DESCRIPCION".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrDes.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrMar)>0){
$_ENC=vbl("MARCA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrMar.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrSN)>0){
$_ENC=vbl("ANULADO S/N".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrSN.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}
$pdf->Cell(0,4,"",0,1);
$pdf->Cell(0,4,"",0,1);	
//------------------------------------------
$s="SELECT ID,ALM,COM,NUM,DATE_FORMAT(FEC,'%d-%m-%y'),PROV,
	 DES,MAR,KA,PR,IMP
	 FROM vcompras_det WHERE $FF GROUP BY ID ORDER BY ALM,COM,NUM,FEC,PROV ";

$result = grs($s);
while ($row = $result->fetch_row()){
	$_ENC=vbl("COM: ".$row[2].vbfill(" ",15),15);
	$_ENC=$_ENC." ".vbl("NUM: ".$row[3].vbfill(" ",17),17);
	$_ENC=$_ENC." ".vbl("FEC: ".$row[4].vbfill(" ",15),15);
	$_ENC=$_ENC." ".vbl("PRO: ".$row[5].vbfill(" ",39),39);
	$pdf->Cell(0,4,$_ENC,0,1);	

	$_ENC=vbl("DESCRIPCION".vbfill(" ",33),33);
	$_ENC=$_ENC." ".vbl("MARCA".vbfill(" ",23),23);
	$_ENC=$_ENC." ".vbr(vbfill(" ",10)."CAN",10);
	$_ENC=$_ENC." ".vbr(vbfill(" ",10)."PRE",10);
	$_ENC=$_ENC." ".vbr(vbfill(" ",10)."IMP",10);
	$pdf->Cell(0,4,$_ENC,0,1);
	$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	

	$TOT=0;

	$sS="SELECT ID,ALM,COM,NUM,DATE_FORMAT(FEC,'%d-%m-%y'),PROV,
		 DES,MAR,KA,PR,IMP
		 FROM vcompras_det WHERE ID=$row[0] ORDER BY ALM,COM,NUM,FEC,PROV ";

	$resultS = grs($sS);
	while ($rowS = $resultS->fetch_row()){	
	$_ENC=vbl($rowS[6].vbfill(" ",33),33);
	$_ENC=$_ENC." ".vbl($rowS[7].vbfill(" ",23),23);
	$_ENC=$_ENC." ".vbr(vbfill(" ",10).$rowS[8],10);
	$_ENC=$_ENC." ".vbr(vbfill(" ",10).NF2($rowS[9],1),10);
	$_ENC=$_ENC." ".vbr(vbfill(" ",10).NF2($rowS[10],1),10);
	$pdf->Cell(0,4,$_ENC,0,1);	
	$TOT=$TOT+$rowS[10];
	}
	$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);
	$_TI=vbr(vbfill(" ",75)."TOTAL :",75);
	$_TD=vbr(vbfill(" ",14).NF2($TOT,1),14);
	$pdf->Cell(0,4,$_TI." ".$_TD,0,1);	
	//
	$pdf->Cell(0,4,"",0,1);	
	$pdf->Cell(0,4,"",0,1);	
}
//$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	

//$_TI=vbr(vbfill(" ",75)."TOTAL :",75);
//$_TD=vbr(vbfill(" ",14).NF2($TOT,1),14);
//$pdf->Cell(0,4,$_TI." ".$_TD,0,1);	

$_S=20;
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
$PDF_NAME="Compras_Detallado.pdf";
$pdf->Output($PDF_NAME);
return $PDF_NAME;
}
?>

<?php
if(strlen($StrDESCARGAR)>0){
echo "<div id=\"layer51\" 
	  style=\"position:absolute; left: 315px; top: 102px; 
	  width: 89px; background-color: #FFCC00; layer-background-color: #FFCC00; 
	  border: 1px none #000000; height: 17px;\">";
echo "<div align=\"center\" class=\"Estilo2\"> ";
echo " <a href=\"$StrDESCARGAR\" download>Desc.PDF</a> ";
echo "</div>";
echo "</div>";
}
?>

<?php
if(strlen($StrDES_2)>0){
echo "<div id=\"layer51\" 
	  style=\"position:absolute; left: 221px; top: 102px; 
	  width: 88px; background-color: #FFCC00; layer-background-color: #FFCC00; 
	  border: 1px none #000000; height: 17px;\">";
echo "<div align=\"center\" class=\"Estilo2\"> ";
echo " <a href=\"$StrDES_2\" download>Desc.PDF</a> ";
echo "</div>";
echo "</div>";
}
?>

</div>
</div>
</body>
</html>
